Fuchsia 源码下载过程中 Some packages are skipped by cipd due to lack of access, you might want to run "cipd auth-login" and try again 的解决方法

很多朋友在使用 Google 提供的脚本在命令行下载源码过程中出现下方错误:

Some packages are skipped by cipd due to lack of access, you might want to run "cipd auth-login" and try again
ERROR: context deadline exceeded

解决方法是,

  1. 在浏览器中打开下方网页:

https://accounts.google.com/o/oauth2/auth?access_type=offline&approval_prompt=force&client_id=446450136466-2hr92jrq8e6i4tnsa56b52vacp7t3936.apps.googleusercontent.com&redirect_uri=urn%3Aietf%3Awg%3Aoauth%3A2.0%3Aoob&response_type=code&scope=https%3A%2F%2Fwww.googleapis.com%2Fauth%2Fuserinfo.email

  1. 登入 Google 账号,自动获得一个授权码,下图示例:

  2. 在命令行中输入

cipd auth-login

这时命令行会弹出:

Authorization code:

贴上从第2步获取的授权码即可。

  1. 进入 fuchsia 源码目录,输入

jiri update

更新源代码。

1 Like